OpenNMS API 1.2.9

## org.opennms.netmgt.capsd
Class GpPlugin

    java.lang.Object
      org.opennms.netmgt.capsd.AbstractPlugin
          org.opennms.netmgt.capsd.GpPlugin

All Implemented Interfaces:
  Plugin

public final class GpPlugin
extends AbstractPlugin

This class is designed to be used by the capabilities daemon to test for the existance of a generic service by calling an external script or program. The external script or program will be passed two options: --hostname, the IP address of the host to be tested, and --timeout, the timeout in seconds. Additional options or arguments can be specified in the capsd configuration.

Author:
  Mike , Weaver , OpenNMS , Bill Ayres

Field Summary
`private static int` `DEFAULT_RETRY` Default number of retries for GP requests
`private static int` `DEFAULT_TIMEOUT` Default timeout (in milliseconds) for GP requests
`private static java.lang.String` `PROTOCOL_NAME` The protocol supported by the plugin

Constructor Summary
`GpPlugin()`

Method Summary
`java.lang.String` `getProtocolName()` Returns the name of the protocol that this plugin checks on the target system for support.
`boolean` `isProtocolSupported(java.net.InetAddress address)` Returns true if the protocol defined by this plugin is supported.
`boolean` `isProtocolSupported(java.net.InetAddress address, java.util.Map qualifiers)` Returns true if the protocol defined by this plugin is supported.
`private boolean` `isServer(java.net.InetAddress host, int retry, int timeout, java.lang.String script, java.lang.String args, org.apache.regexp.RE regex, java.lang.StringBuffer bannerResult, java.lang.String hoption, java.lang.String toption)` Test to see if the passed script-host-argument combination is the endpoint for a GP server.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROTOCOL_NAME

    private static final java.lang.String PROTOCOL_NAME

  The protocol supported by the plugin

  See Also:
    Constant Field Values

### DEFAULT_RETRY

    private static final int DEFAULT_RETRY

  Default number of retries for GP requests

  See Also:
    Constant Field Values

### DEFAULT_TIMEOUT

    private static final int DEFAULT_TIMEOUT

  Default timeout (in milliseconds) for GP requests

  See Also:
    Constant Field Values

Constructor Detail

### GpPlugin

    public GpPlugin()

Method Detail

### isServer

    private boolean isServer(java.net.InetAddress host,
                             int retry,
                             int timeout,
                             java.lang.String script,
                             java.lang.String args,
                             org.apache.regexp.RE regex,
                             java.lang.StringBuffer bannerResult,
                             java.lang.String hoption,
                             java.lang.String toption)

  Test to see if the passed script-host-argument combination is the endpoint for a GP server. If there is a GP server at that destination then a value of true is returned from the method. Otherwise a false value is returned to the caller. In order to return true the script must generate a banner line which contains the text from the banner or match argument.

  Parameters:
    `host` - The host to pass to the script
    `retry` - The number of retry attempts to make
    `timeout` - The timeout value for each retry
    `script` - The external script or program to call
    `args` - The arguments to pass to the script
    `regex` - The regular expression used to determine banner match
    `bannerResult` -
    `hoption` - The option string passed to the exec for the IP address (hostname)
    `toption` - The option string passed to the exec for the timeout
  Returns:
    True if a connection is established with the script and the banner line returned by the script matches the regular expression regex.

### getProtocolName

    public java.lang.String getProtocolName()

  Returns the name of the protocol that this plugin checks on the target system for support.

  Specified by:
    `getProtocolName` in interface `Plugin`
  Specified by:
    `getProtocolName` in class `AbstractPlugin`
  Returns:
    The protocol name for this plugin.

### isProtocolSupported

    public boolean isProtocolSupported(java.net.InetAddress address)

  Returns true if the protocol defined by this plugin is supported. If the protocol is not supported then a false value is returned to the caller.

  Specified by:
    `isProtocolSupported` in interface `Plugin`
  Specified by:
    `isProtocolSupported` in class `AbstractPlugin`
  Parameters:
    `address` - The address to check for support.
  Returns:
    True if the protocol is supported by the address.
  Throws:
    `java.lang.UnsupportedOperationException` - This is always thrown by this plugin.

### isProtocolSupported

    public boolean isProtocolSupported(java.net.InetAddress address,
                                       java.util.Map qualifiers)

  Returns true if the protocol defined by this plugin is supported. If the protocol is not supported then a false value is returned to the caller. The qualifier map passed to the method is used by the plugin to return additional information by key-name. These key-value pairs can be added to service events if needed.

  Specified by:
    `isProtocolSupported` in interface `Plugin`
  Specified by:
    `isProtocolSupported` in class `AbstractPlugin`
  Parameters:
    `address` - The address to check for support.
    `qualifiers` - The map where qualification are set by the plugin.
  Returns:
    True if the protocol is supported by the address.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.